public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Email-Stuffer/
Date: Sat, 13 Sep 2014 11:44:45 +0000 (UTC)	[thread overview]
Message-ID: <1410607409.fd2243d5ab6c59f392c2c5b62b66fc967eff3f88.kent@gentoo> (raw)

commit:     fd2243d5ab6c59f392c2c5b62b66fc967eff3f88
Author:     Pavel Denisov <pavel.a.denisov <AT> gmail <DOT> com>
AuthorDate: Sat Jun 21 14:10:36 2014 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat Sep 13 11:23:29 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=fd2243d5

[added] dev-perl/Email-Stuffer-0.9.0

Package-Manager: portage-2.2.10

---
 dev-perl/Email-Stuffer/ChangeLog                  | 10 ++++
 dev-perl/Email-Stuffer/Email-Stuffer-0.9.0.ebuild | 56 +++++++++++++++++++++++
 dev-perl/Email-Stuffer/metadata.xml               |  9 ++++
 3 files changed, 75 insertions(+)

diff --git a/dev-perl/Email-Stuffer/ChangeLog b/dev-perl/Email-Stuffer/ChangeLog
new file mode 100644
index 0000000..9efc48e
--- /dev/null
+++ b/dev-perl/Email-Stuffer/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for dev-perl/Email-Stuffer
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*Email-Stuffer-0.9.0 (21 Jun 2014)
+
+  21 Jun 2014; Pavel Denisov <pavel.a.denisov@gmail.com>
+  +Email-Stuffer-0.9.0.ebuild, +metadata.xml:
+  Added for Dancer2::Plugin::Emailesque
+

diff --git a/dev-perl/Email-Stuffer/Email-Stuffer-0.9.0.ebuild b/dev-perl/Email-Stuffer/Email-Stuffer-0.9.0.ebuild
new file mode 100644
index 0000000..6245f5d
--- /dev/null
+++ b/dev-perl/Email-Stuffer/Email-Stuffer-0.9.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=RJBS
+MODULE_VERSION=0.009
+inherit perl-module
+
+DESCRIPTION='A more casual approach to creating and sending Email:: emails'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.300.0
+}
+perl_meta_runtime() {
+	# Carp
+	echo virtual/perl-Carp
+	# Email::MIME
+	echo dev-perl/Email-MIME
+	# Email::Sender::Simple
+	echo dev-perl/Email-Sender
+	# Params::Util 1.05 ( 1.50.0 )
+	echo \>=dev-perl/Params-Util-1.50.0
+	# perl 5.005 ( 5.5.0 )
+	echo \>=dev-lang/perl-5.5.0
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+perl_meta_test() {
+	# Email::Sender::Transport::Test 0.120000 ( 0.120.0 )
+	echo \>=dev-perl/Email-Sender-0.120.0
+	# File::Spec::Functions
+	echo virtual/perl-File-Spec
+	# Moo
+	echo dev-perl/Moo
+	# Test::More 0.96 ( 0.960.0 )
+	echo \>=virtual/perl-Test-Simple-0.960.0
+	# Test::Most
+	echo dev-perl/Test-Most
+	# utf8
+	echo dev-lang/perl
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_runtime)
+	test? ( $(perl_meta_test) )
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do parallel"

diff --git a/dev-perl/Email-Stuffer/metadata.xml b/dev-perl/Email-Stuffer/metadata.xml
new file mode 100644
index 0000000..4c60119
--- /dev/null
+++ b/dev-perl/Email-Stuffer/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+    <herd>perl</herd>
+    <upstream>
+        <remote-id type="cpan">Email-Stuffer</remote-id>
+        <remote-id type="cpan-module">Email::Stuffer</remote-id>
+    </upstream>
+</pkgmetadata>


             reply	other threads:[~2014-09-13 11:44 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-09-13 11:44 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-03-07  6:51 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Email-Stuffer/ Kent Fredric
2014-09-13 11:44 Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1410607409.fd2243d5ab6c59f392c2c5b62b66fc967eff3f88.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox